{% extends 'base.html.twig' %}
{% block title %} LISTE DES INSCRIPTIONS {% endblock %}
{% block body %}
    <div class="page-header">

        <h1>
            INSCRIPTIONS
            <small>
                <i class="ace-icon fa fa-angle-double-right"></i>
                LISTE DES INSCRIPTIONS   
            </small>
        </h1>  

    </div>
    <div class="alert alert-block alert-success message_flash_success" style="display: none;">
        xxxxx
    </div>
    <form id="instg" >
        {% for flash_message in app.session.flashBag.get('notice') %}
            <div class="alert alert-block alert-success message_flash">
                <button type='Submit' class='close'><i class='ace-icon fa fa-times'></i></button>
                <p><i class='ace-icon fa fa-check'></i>{{ flash_message }}</p>
            </div>
        {% endfor %}



        <div class="row">
            <div class="col-xs-12">

                <div class="col-sm-12">



                    <div class="col-md-2">
                        <label>Etablissement : </label>
                        <select class="form-control select2 etablissement1 search-input-select" data-column ='0'>  {{ etablissement|raw }}</select>
                    </div>


                    <div class="col-md-2">
                        <label>Formation : </label>
                        <select class="select2 form-control formation1 search-input-select"  data-column ='1'><option>choix formation...</option></select>
                    </div>

                    <div class="col-md-2">
                        <label>Promotion : </label>
                        <select class="select2 form-control promotion1 search-input-select"  data-column ='2'><option>choix promotion...</option></select>
                    </div>

                    <div class="col-md-2">
                        <label>Année : </label>
                        <select class="form-control select2 annee1 search-input-select" data-column ='3'>  <option>choix Année...</option></select>
                    </div>
                    <div class="col-md-2">
                        <label>Semestre : </label>
                        <select class="form-control select2 semestre1 search-input-select" >  <option>choix Semestre...</option></select>
                    </div>


                    <div class="slh"></div>
                    <div class="slh2"></div>
                    <div align="right">
                        <button id="hide-option"  type="submit" class="btn btn-minier btn-warning" title="grouper les étudiant"><i class="ace-icon fa fa-wrench  bigger-110 icon-only"></i> Grouper</button>
                        <a   class="btn btn-minier btn-warning annuler" title="grouper les étudiant"><i class="ace-icon fa fa-wrench  bigger-110 icon-only"></i> Anuller</a>
                    </div>



                </div>


                <div class="col-sm-12">
                    <hr/>
                    <div class="dis" style="display: none;">

                        <span >
                            <label class="pull-left inline">
                                <small class="muted"><strong>Tout selectionner :</strong></small>

                                <input type="checkbox" class="ace ace-switch ace-switch-5" id="cat" title="Tout selectionner" /><!--<label></label>-->
                                <span class="lbl middle"></span>
                            </label>
                        </span>








                    </div><br/><br/>
                    <table id="grid" class="display  table  table-bordered table-hover" cellspacing="0" width="100%">

                        <thead>
                            <tr>
                                <th>#</th>
                                <th>code</th>
                                <th>Nom</th>
                                <th>Prénom</th>
                                <th>CIN</th>
                                <th>Etablissement</th>
                                <th>Formation</th>
                                <th>Promotion</th>
                                <th>Année</th>
                                <th>Statut</th>


                            </tr>
                        </thead>
                    </table>


                </div> 
                <div class="group_stage"></div>


            </div>
        </div>


    </form>

    {{ include ('inscription/message.html.twig')}}

{% endblock %}
{% block javascripts %}
    {{ parent() }}


    <script type="text/javascript">
        $('.select2').select2();
        document.addEventListener("DOMContentLoaded", function (event) {
            $('#grid').show(500);
        });
        // $('dis').hide();
        var dataTable = $('#grid').DataTable({
            "iDisplayLength": 15,
            "lengthMenu": [[10, 15, 25, 50, 100, 200, 900000000], [10, 15, 25, 50, 100, 200, "All"]],
            "order": [[0, "asc"]],
            "columnDefs": [
                {"orderable": false, "targets": 1}
            ],
            //"stateSave": true,
            "processing": true,
            "language": {
                "url": "{{asset('assets/js/jquery.dataTablesFrench.json') }}",

            },
            "serverSide": true,
            "ajax": {
                url: Routing.generate('etudiant_list1')


            }
        });



        /**********Select row from my-grid **********/
        $('#grid').on('click', 'tbody tr', function (event) {
            $(this).toggleClass('selected');
            /* $("#my-grid tbody tr").each(function () {
             $(this).removeClass('active active-row');
             });
             $(this).addClass('active active-row');*/
            //event.preventDefault();
        });




        // $('#button').click(function () {
        //var c = dataTable.rows('.selected').data();

        /* $.each(c, function (id, value) {
         alert(id + ": " + value[0]);
         });*/

        //alert('result');


        //var e =dataTable.rows( '.selected' ).data().length;
        //  var i;
        //  var=f;
        /* for (i = 0; i < e; ++i) 
         {
         f=+"/"+c[i][0];
         }*/
        // alert(c);
        //alert(dataTable.rows('.selected').data()[0][0] + ' row(s) selected');
        //   })



        /* $('#button').click(function (e) {
         //alert('rr');
         var i = 0;
         
         var arr = [];
         $('.ads_Checkbox:checked').each(function(){
         arr[i++] = $(this).val();
         });
         $.each({ arr}, function( k, v ) {
         alert( "Key: " + k + ", Value: " + v );
         })
         // alert(arr);
         
         
         $.ajax({
         type: 'GET',
         // url: Routing.generate('patient_objectif', {id: 1}),
         url: Routing.generate('group_ins', {id: 1}),
         success: function (result) {
         $('.group_stage').html(result);
         $('#model-group').modal('show');
         }
         });
         
         //e.preventDefault();
         });*/




        $('#instg').submit(function (e) {

            //  alert('hello');

            var dta = new FormData(this);
            var code = $('.active-row').attr('id');
            // alert(dta);

            if ($('.cat').is(":checked") && $.isNumeric($('.semestre1').val())) {
                $.ajax({
                    type: 'POST',

                    url: Routing.generate('group_ins', {anne: $('.annee1').val(), promo: $('.promotion1 ').val(), semestre: $('.semestre1').val()}),

                    data: dta,
                    processData: false,
                    contentType: false,
                    success: function (result) {
                        $('.group_stage').html(result);
                        $('#model-group').modal('show');
                    }
                });
            } else {
                $('#MessageModel').modal('show');
            }

            e.preventDefault();

        });


        $('.annuler').click(function (e) {

            // alert($('.promotion1').val());
            var c = $('.promotion1').val();
            alert(c);
            //  var dta = new FormData(this);
            //var code = $('.active-row').attr('id');
            // alert(dta);

            if ($('.promotion1').val()) {
                // alert(c);
                $.ajax({
                    type: 'get',

                    url: Routing.generate('group_annuler', {promo: $('.promotion1').val()}),

                    processData: false,
                    contentType: false,
                    success: function (result) {
                        var parsed = jQuery.parseJSON(result);

                        $(".message_flash_success").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>");
                    }
                });
            } else {
                $('#MessageModel').modal('show');
            }

            e.preventDefault();

        });



        $("#cat").change(function () {
            $(".cat").prop('checked', $(this).prop("checked"));
        });
        /*$( "#hide-option" ).tooltip({
         hide: {
         effect: "explode",
         delay: 250
         }
         });*/
        {#    $('.search-input-select').on('change', function () {    // for text boxes
                var index = $(this).attr('data-column');  // getting column index
                var value = $(this).val();  // getting search input value
                dataTable.columns(index).search(value).draw();
            });
    #}
    </script>
    <script src="{{asset('assets/js/filtre.js') }}"></script>
{% endblock %}
